Bug 72875 - Chart: incorrect area of selecting of chart and unplanned cropping image after export
Summary: Chart: incorrect area of selecting of chart and unplanned cropping image afte...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
4.0.2.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Chart
  Show dependency treegraph
 
Reported: 2013-12-19 09:16 UTC by Mateusz
Modified: 2019-12-03 14:13 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Source file (76.89 KB, application/vnd.oasis.opendocument.spreadsheet)
2013-12-19 09:16 UTC, Mateusz
Details
[PIC] Differences (29.54 KB, image/png)
2013-12-19 09:21 UTC, Mateusz
Details
exported image (13.32 KB, image/png)
2014-10-15 05:22 UTC, raal
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mateusz 2013-12-19 09:16:05 UTC
Created attachment 90983 [details]
Source file

Hey

Open brix.ods file and try move any chart. You will see selecting area of object that is not fitting to real object (area is shorter than object). And if you try export chart to image, LibreOffice will export truncated picture.

Bug exist in 4.2 RC1 as well.
Comment 1 Mateusz 2013-12-19 09:21:14 UTC
Created attachment 90986 [details]
[PIC] Differences
Comment 2 Joel Madero 2014-05-05 05:33:48 UTC
Can't confirm either problems in 4.3 master.

Marking as WFM - if you want to try on master feel free to install from here: http://dev-builds.libreoffice.org/daily/master/

If you can reproduce with master - set to UNCONFIRMED and we'll see who else can test.

Thanks for reporting!
Comment 3 Michał Olber 2014-05-05 08:36:14 UTC
Hi guys
I download this daily build:
http://dev-builds.libreoffice.org/daily/master/win-x86@39/current/master~2014-05-05_06.37.16_LibreOfficeDev_4.3.0.0.alpha1_Win_x86.msi
And after open file brix.ods only last chart at left site called Temperatura is incorrect. After exporting it, it has cutted bottom with legend. I will check other files which I will create on LO 4.2.
Comment 4 Michał Olber 2014-05-05 08:40:21 UTC
Sorry guys for not adding version:
Version: 4.3.0.0.alpha1+
Build ID: 82a623fb08afc72decb78f061b751a43ae503678
TinderBox: Win-x86@39, Branch:master, Time: 2014-05-05_06:37:16
Comment 5 Joel Madero 2014-05-05 15:25:02 UTC
Thanks for the update. Please don't change the version - we look at oldest version where problem exists (therefore we can try to find out who broke it) instead of latest tested on (we just put comments saying that we tested on different versions.

Thanks!
Comment 6 raal 2014-10-14 20:31:39 UTC
I can reproduce with Version: 4.3.4.0.0+
Build ID: afd19a5ee99b1855bc2c2a48a29d2da16be883d1
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:libreoffice-4-3, Time: 2014-10-10_01:47:41
Chart "Temperatura" exported to image is cropped (png).
Comment 7 ign_christian 2014-10-15 03:43:39 UTC
Perhaps particular steps needed to generate the issue (on attached file)? 
I can't reproduce from scratch with 4.3.2.2
Comment 8 raal 2014-10-15 05:22:01 UTC
Created attachment 107850 [details]
exported image

steps to reproduce:
open file brix.ods
select chart "temperatura pracy". Then move the chart.
right click on chart -> export as image
save as .png

See an attachment - legend lost in png image.
Comment 9 ign_christian 2014-10-15 05:31:10 UTC
(In reply to raal from comment #8)
Sorry if I wasn't clear before. I can also reproduce with attached file :)

But tried to repro from scratch with my own sample, I can't reproduce that (only tried with 1 chart, not tried yet with many charts in same sheet).
Comment 10 raal 2014-10-15 17:11:20 UTC
(In reply to ign_christian from comment #9)
> (In reply to raal from comment #8)
> Sorry if I wasn't clear before. I can also reproduce with attached file :)
> 
> But tried to repro from scratch with my own sample, I can't reproduce that
> (only tried with 1 chart, not tried yet with many charts in same sheet).

I'm unable to reproduce the problem from scratch with the same data as in testing file brix.ods.

@Mateusz: Can you reproduce the error in another file?
Comment 11 Mateusz 2014-10-15 18:34:43 UTC
Hey guys

The answer is NO. Currently I am working on my own data set and everything is ok. Any new Calc file can not reproduce the same erroneous behavior. 

I reported this bug on behalf of @Michał Olber so I will ask him about more info.
Comment 12 QA Administrators 2015-12-20 16:13:29 UTC Comment hidden (obsolete)
Comment 13 QA Administrators 2017-01-03 19:48:42 UTC Comment hidden (obsolete)
Comment 14 QA Administrators 2019-12-03 14:13:40 UTC
Dear Mateusz,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug